class sickbeard (
	$mainuser		= $sickbeard::params::mainuser,
	$extra_scripts	= $sickbeard::params::extra_scripts,
	$newznab_data	= $sickbeard::params::newznab_data,
	$api_key		= $sickbeard::params::api_key,
	$use_api		= $sickbeard::params::use_api,
	$web_username	= $sickbeard::params::web_username,
	$web_password	= $sickbeard::params::web_password,
	$nzb_method		= $sickbeard::params::nzb_method,
	$launch_browser	= $sickbeard::params::launch_browser,
	$sab_apikey 	= $sickbeard::params::sab_apikey,
	$sab_host 		= $sickbeard::params::sab_host,
	$sab_username	= $sickbeard::params::sab_username,
	$sab_password	= $sickbeard::params::sab_password,
	$sab_category	= $sickbeard::params::sab_category,
	$provider_order = $sickbeard::params::provider_order,
	$use_nzbs 		= $sickbeard::params::use_nzbs,
	$use_torrents 	= $sickbeard::params::use_torrents,
	$root_dirs 		= $sickbeard::params::root_dirs,
	$tv_download_dir = $sickbeard::params::tv_download_dir,
	$keep_processed_dir = $sickbeard::params::keep_processed_dir,
	$move_associated_files = $sickbeard::params::move_associated_files,
	$process_automatically = $sickbeard::params::process_automatically,
	$rename_episodes = $sickbeard::params::rename_episodes,
	$create_missing_show_dirs = $sickbeard::params::create_missing_show_dirs,
	$add_shows_wo_dir = $sickbeard::params::add_shows_wo_dir,
	$git_path = $sickbeard::params::git_path,
	$flatten_folders_default = $sickbeard::params::flatten_folders_default,
	$usenet_retention = $sickbeard::params::usenet_retention,
	$sb_pidfile		= $sickbeard::params::sb_pidfile,
	$sb_data		= $sickbeard::params::sb_data,
	$sb_user 		= $sickbeard::params::sb_user,
	$sb_home		= $sickbeard::params::sb_home
) inherits sickbeard::params {
	anchor { 'sickbeard::begin': } ->
	class { 'sickbeard::install': } ->
	class { 'sickbeard::config': 
		notify => Class['sickbeard::service'],
	} ->
	class { 'sickbeard::service': } ->
	anchor { 'sickbeard::end': }
}
